httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: AW: [users@httpd] Can't compile libssl and libz into httpd 2.2.11
Date Tue, 06 Jan 2009 15:37:44 GMT
xPostings wrote:
> Hi Williams
> 
> I understand your argument. But in my case I would like to compile libssl
> into the httpd because of the criticial SSL/TLS vulnerability. Why that?
> The answer is easy: Because I can only control the installed httpd but not
> the installation of the debian boxes itself in the production enviroment.
> So the only way to enforce that the right libssl is in place is to compile
> it into httpd. So maybe the reason for my a little bit strange question is
> now much clearer.
> So, can anybody help me how I can compile the libssl and libz into httpd?

Dirt simple stupid answer, build and libssl and libz into a directory that
you explicitly reference --with-openssl= --with-zlib=, but build only the
static objects.

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message